OpenVDB 5.1.0

Public Member Functions | List of all members
PointListTransform Class Reference

`#include <LevelSetRebuild.h>`

## Public Member Functions
| PointListTransform (const PointList &pointsIn, std::vector< Vec3s > &pointsOut, const math::Transform &xform)
void | runParallel ()
void | runSerial ()
void | operator() (const tbb::blocked_range< size_t > &range) const

## Constructor & Destructor Documentation

## ◆ PointListTransform()

PointListTransform | ( | const PointList & | pointsIn,
|  | std::vector< Vec3s > & | pointsOut,
|  | const math::Transform & | xform
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## ◆ runParallel()

void runParallel | ( |  | ) |
| inline

## ◆ runSerial()

void runSerial | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- LevelSetRebuild.h